/*-------------------------------------------------------*\
                  MCP2515 Driver
\*-------------------------------------------------------*/
/*-------------------------------------------------------*\
	File Name:      Main.c                               
	Project:        MCP2515 Demo Board Source Code
	Discription:	Use keil v4
					STC89C52 MCU @12MHz Test
	Data/Author:    May. 2,2013 by Tiny
\*-------------------------------------------------------*/  
#define _MAIN_C

#include "Main.h"
#include "MCP2515.h"
#include "SPI.h"
#include "REGS2515.h"


void main( void )
{	
    //Driver IO Configuration
	Init_Interrupt();
	MCP2515Init();					   	//ʼMCP2515  

	while(1)
	{
	
		if( CANRxFlag )
		{
			CANRxFlag = 0;
			CANReceive( CAN_RX_Buf ); 
			MCP2515BitModify( CANINTF,0x01,0x0 );	
			CANSend( CAN_RX_Buf );
		}		
	
	
	}
}


void DelayMs( unsigned char retard )
{
	unsigned int i;

	while( retard-- )
	for( i=0; i<165; i++ )
	{
		_nop_();
	}
}

//****************************************************
//ʼж
//****************************************************
void Init_Interrupt()
{
	IT1 = 1;		
	IE1 = 0;
	EX1=1;  //ⲿж1	 
	EA=1;    //ʼ
}

/*-----------------------------------------------------*/
/*-----------------------ISR---------------------------*/
void INT0_INTERRUPT(void) interrupt 2 // ⲿжӳ
{
	LED = ~LED;
	IE1 = 0;
    CANRxFlag = 1;		
}

#undef _MAIN_C
